"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
const NodeGenerator_1 = require("../helpers/NodeGenerator");
/**
 * Represents a mutator which can remove the conditional clause from statements.
 */
class ForStatementMutator {
    constructor() {
        this.name = 'ForStatement';
    }
    mutate(node, copy) {
        const nodes = [];
        if (types.isForStatement(node)) {
            if (!node.test) {
                const mutatedNode = copy(node);
                mutatedNode.test = NodeGenerator_1.NodeGenerator.createBooleanLiteralNode(node, false);
                nodes.push(mutatedNode);
            }
            else {
                nodes.push(NodeGenerator_1.NodeGenerator.createBooleanLiteralNode(node.test, false));
            }
        }
        return nodes;
    }
}
exports.default = ForStatementMutator;
//# sourceMappingURL=ForStatementMutator.js.map