"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
class PrefixUnaryExpressionMutator {
    constructor() {
        this.name = 'PrefixUnaryExpression';
        this.operators = {
            '!': '',
            '+': '-',
            '++': '--',
            '-': '+',
            '--': '++',
            '~': ''
        };
    }
    mutate(node, copy) {
        const nodes = [];
        if ((types.isUpdateExpression(node) || types.isUnaryExpression(node)) && this.operators[node.operator] !== undefined && node.prefix) {
            if (this.operators[node.operator].length > 0) {
                const mutatedNode = copy(node);
                mutatedNode.operator = this.operators[node.operator];
                nodes.push(mutatedNode);
            }
            else {
                const mutatedNode = copy(node.argument);
                mutatedNode.start = node.start;
                nodes.push(mutatedNode);
            }
        }
        return nodes;
    }
}
exports.default = PrefixUnaryExpressionMutator;
//# sourceMappingURL=PrefixUnaryExpressionMutator.js.map