"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of a switch case clause.
 */
class SwitchCaseMutator {
    constructor() {
        this.name = 'SwitchCase';
    }
    mutate(node, copy) {
        const nodes = [];
        if (types.isSwitchCase(node) &&
            // if not a fallthrough case
            node.consequent.length > 0) {
            const mutatedNode = copy(node);
            mutatedNode.consequent = [];
            nodes.push(mutatedNode);
        }
        return nodes;
    }
}
exports.default = SwitchCaseMutator;
//# sourceMappingURL=SwitchCaseMutator.js.map